# prereq 
git config --global user.name "Avagadda Arjun"

git config --global user.email arjunavagadda207@gmail.com

git config --global --list

# docker-orielly

- podman - redhat product
## books
- docker up and running - orielly
- kubernetes in action

# docker

image - blueprint
container - instance

# docker commands

docker search alpine

docker image ls
docker image ls -a >> lists all images
docker container ls -a >> lists all containers ( defualt lists only running containers)

docker commit <oldcontainer> alpine-with-git:2013  --> creates snapshot 

# concepts

layers - each instruction is a writable layer on top of readable layer

# Docker files

FROM

ARG


